Package io.milvus.connection

## Class ServerSetting

- java.lang.Object
- - io.milvus.connection.ServerSetting

-     public class ServerSetting
      extends java.lang.Object

  Defined address and Milvus clients for each server.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ServerSetting.Builder` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServerSetting​(@NonNull ServerSetting.Builder builder)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MilvusClient` | `getClient()` |
    `ServerAddress` | `getServerAddress()` |
    `static ServerSetting.Builder` | `newBuilder()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerSetting

          public ServerSetting​(@NonNull
                               @NonNull ServerSetting.Builder builder)

  - ### Method Detail

    - #### getServerAddress

          public ServerAddress getServerAddress()

    - #### getClient

          public MilvusClient getClient()

    - #### newBuilder

          public static ServerSetting.Builder newBuilder()